--Sendmenu by Megiddo
--VERSION 0.9

ULX_CONVAR( "ulx_sv_sendmenuenabled", "1", ACCESS_BAN, "- If enabled, clients will be sent the menus from the server" )
ULX_CONVAR( "ulx_sv_sendmenuclearold", "1", ACCESS_BAN, "- If enabled with sendmenuenabled, the client's original menu will be cleared" )

do
	gMenus = {}
	local files = getFilesFromDir( "settings/menu_props" )
	for i=1, table.getn( files ) do
		local file = readFile( "settings/menu_props/" .. files[ i ], "//" )
		local title = stripQuotes( file[ 1 ] )
		gMenus[ title ] = {}
		for l=3, table.getn( file ) - 1 do
			local first = string.gsub( file[ l ], "^[ \t]*\"(.-)\"[ \t]*\"(.-)\".*$", "%1" )
			local second = string.gsub( file[ l ], "^[ \t]*\"(.-)\"[ \t]*\"(.-)\".*$", "%2" )
			table.insert( gMenus[ title ], { k=first, v=second } )
		end		
	end
end

function sendMenus( userid )
	if ulx_sv_sendmenuenabled == 0 then
		return
	end
	
	if ulx_sv_sendmenuclearold ~= 0 then
		_spawnmenu.RemoveAll( userid )	
	end
	for k,v in pairs( gMenus ) do
		local title = k
		for i=1, table.getn( gMenus[ title ] ) do
			_spawnmenu.AddItem( userid, title, gMenus[ title ][ i ].k, gMenus[ title ][ i ].v )
		end
	end
end

HookEvent( "eventPlayerInitialSpawn", sendMenus )